%define name    libebml
%define version 1.2.2
%define major 3
%define libname %mklibname ebml %{major}
%define develname %mklibname ebml -d

Summary:        Extensible Binary Meta Language Library
Name:           %name
Version:        %version
Release:        %mkrel 1
License:        LGPLv2+
Group:          System/Libraries
URL:            http://www.matroska.org/
Source0:        http://dl.matroska.org/downloads/libebml/%name-%version.tar.bz2

%description
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

%package -n %{libname}
Summary:        Extensible Binary Meta Language shared Library
Group: System/Libraries

%description -n %{libname}
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

%package -n %{develname}
Group: Development/C++
Summary: Extensible Binary Meta Language Library headers and static library
Provides: libebml-devel = %version
Requires: %{libname} = %version
Obsoletes: %{libname}-devel

%description -n %{develname}
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

This package contains the C++ headers and the static library needed
for development with EBML.

%prep
%setup -q

# fix end of line encoding
sed -i 's/\r//' LICENSE.LGPL

# fix encoding
iconv -f ISO8859-1 -t UTF-8 ChangeLog -o ChangeLog-utf8
touch -r ChangeLog ChangeLog-utf8
mv -f ChangeLog-utf8 ChangeLog

%build
export CXXFLAGS="%{optflags}"
%make -C make/linux

%install
rm -rf %buildroot

%makeinstall_std -C make/linux prefix=%buildroot/%_prefix libdir=%buildroot/%_libdir

# fix lib permissions so that it gets properly stripped and -debug isn't empty
chmod a+x %{buildroot}%{_libdir}/*.so*

# don't ship .a
find %{buildroot} -name *.a | xargs rm -f

%clean
rm -rf %buildroot

%files -n %{libname}
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog LICENSE*
%{_includedir}/ebml
%{_libdir}/libebml.so


%changelog

* Mon Sep 26 2011 fwang <fwang> 1.2.2-1.mga2
+ Revision: 148439
- new version 1.2.2

* Fri Jul 01 2011 ahmad <ahmad> 1.2.1-2.mga2
+ Revision: 117048
- Build with our own default flags
- %%doc one more file
- Fix some rpmlint warnings
- Make the libraries executable so that the can be stripped and -debug isn't
  empty

* Thu Jun 30 2011 ahmad <ahmad> 1.2.1-1.mga2
+ Revision: 117043
- Update to 1.2.1

* Wed Feb 02 2011 ahmad <ahmad> 1.2.0-1.mga1
+ Revision: 46452
- update to 1.2.0

* Tue Jan 25 2011 ahmad <ahmad> 1.0.0-2.mga1
+ Revision: 39546
- don't ship .a
- imported package libebml

